## Grafeas Code of Conduct

At Google, we recognize and celebrate the creativity and collaboration of open source contributors and the diversity of skills, experiences, cultures, and opinions they bring to the projects and communities they participate in.

Every one of Google's open source projects and communities are inclusive environments, based on treating all individuals respectfully, regardless of gender identity and expression, sexual orientation, disabilities, neurodiversity, physical appearance, body size, ethnicity, nationality, race, age, religion, or other protected category.

We value diverse opinions, but we value respectful behavior more.

Respectful behavior includes:
* Being considerate, kind, constructive, and helpful.
* Not engaging in demeaning, discriminatory, harassing, hateful, sexualized, or physically threatening behavior, speech, and imagery.
* Not engaging in unwanted physical contact.

Some Google open source projects may adopt their own specific codes of conduct, which may have additional detailed expectations for participants.

### Resolve Peacefully

We do not believe that all conflict is bad; healthy debate and disagreement often yield positive results.  However, it is never okay to be disrespectful or to engage in behavior that violates the project’s code of conduct.

If you see someone violating the code of conduct, you are encouraged to address the behavior directly with those involved.  Many issues can be resolved quickly and easily, and this gives people more control over the outcome of their dispute.  If you are unable to resolve the matter for any reason, or if the behavior is threatening or harassing, report it.  We are dedicated to providing an environment where participants feel welcome and safe.

Reports should be directed to wmd@google.com, the Project Steward for Grafeas.  It is the Project Steward’s duty to receive and address reported violations of the code of conduct. The steward will then work with a committee consisting of representatives from the Open Source Programs Office and the Google Open Source Strategy team.

We will investigate every complaint, but you may not receive a direct response.  We will use our discretion in determining when and how to follow up on reported incidents, which may range from not taking action to permanent expulsion from the project and project-sponsored spaces.  We will notify the accused of the report and provide them an opportunity to discuss it before any action is taken. In potentially harmful situations, such as ongoing harassment or threats to anyone's safety, we may take action without notice.  We will do our utmost to keep the identity of the reporter anonymous.


This enforcement policy has been adopted from [IndieWeb Code of Conduct](https://indieweb.org/code-of-conduct).


